All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::device_not_found Class Reference

Exception thrown in the case that a requested compute device was not found. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::device_not_found:

## Detailed Description

Exception thrown in the case that a requested compute device was not found.

This exception usually shows up if a user requests a GPU for computation, but the OpenCL SDK does not support the GPU.

Definition at line 93 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp